Subscribe

What driver needs to be installed?

All,

IHAC who is running Red Hat AS 4.6 in 64 bit mode with the 32 bit emulation kernel.

When I try:

# snapdrive storage create -lun filer02:/vol/snaptest/lun1 -lunsize 1g

0001-877 Admin error: HBA assistant not found. Commands involving LUNs should fail.

I then try:

# sanlun fcp show adapter -v

Unable to locate /usr/lib/libHBAAPI.so library Make sure the package installing the library is installed & loaded

I found these symptoms in kb45308.  I can't find the package on the qlogic website.  Can someone tell me what the correct package is?

Here is their HBA info:

scsi0 : qla2xxx

qla2400 0000:0e:00.0:

QLogic Fibre Channel HBA Driver: 8.01.06.01

  QLogic HPAE312A - Sun PCI-X 2.0 to 4Gb FC, Dual Channel

  ISP2432: PCIe (2.5Gb/s x4) @ 0000:0e:00.0 hdma+, host#=0, fw=4.00.23 [IP]

  Vendor: NETAPP    Model: LUN               Rev: 0.2

  Type:   Direct-Access                      ANSI SCSI revision: 04

Thanks,

Re: What driver needs to be installed?

Hi Robert

This is neto from Brazil

How are you?

Install sansurfer. To double check if everything is ok:

sanlun fcp show adapter

Please let me know if you need any help my friend

All the best

neto

Re: What driver needs to be installed?

Hi Robert,

This looks like the updated package required   -  FC-FCoE Driver (x86/x64/IA64)      8.02.23  http://driverdownloads.qlogic.com/QLogicDriverDownloads_UI/SearchByProduct.aspx?ProductCategory=39&Product=936&Os=65